/**************---< TECHNO ROAD.inc >---**************/
/*                                                   */
/*   File        :coron_sound.h                      */
/*   Version     :v3.0.0                             */
/*   Date        :2014/05/09                         */
/*   Author      :                                   */
/*   Description :Speaker output Library Header      */
/*                                                   */
/*    Copyright(C) TECHNO ROAD Inc.                  */
/*                 http://techno-road.com/           */
/*****************************************************/
#ifndef CORON_SOUND_H_
#define CORON_SOUND_H_

/* Extern ------------------------------------------------------------*/
extern vu8 	sound_flag;				//ĐtO
extern vu8 	sound_buf[2][512];		//f[^obt@
extern vu16 sound_buf0_count;		//f[^obt@buf[0]oCgJEg
extern vu16 sound_buf1_count;		//f[^obt@buf[1]oCgJEg
extern vu8 	read_flag;				//obt@i[tO

extern void SPK_init(void);
extern void TIM5_SOUND_IRQ(void);
extern void TIM8_READ_SECTOR_IRQ(void);
extern void SPK_set_sector_info(u32 _sct, u32 _sec_num, u32 _last_byte_num);

#endif /*CORON_SOUND_H_*/
