/**************---< TECHNO ROAD.inc >---**************/
/*                                                   */
/*   File        :coron_dc.h                         */
/*   Version     :v3.0.0                             */
/*   Date        :2014/05/09                         */
/*   Author      :                                   */
/*   Description :DCmotor PWM control Library Header */
/*                                                   */
/*    Copyright(C) TECHNO ROAD Inc.                  */
/*                 http://techno-road.com/           */
/*****************************************************/
#ifndef CORON_DC_H_
#define CORON_DC_H_

/* Define ------------------------------------------------------------*/
#define MOT1A_H	GPIO_SetBits(GPIOB, GPIO_Pin_6)
#define MOT1A_L	GPIO_ResetBits(GPIOB, GPIO_Pin_6)
#define MOT1B_H	GPIO_SetBits(GPIOB, GPIO_Pin_7)
#define MOT1B_L	GPIO_ResetBits(GPIOB, GPIO_Pin_7)
#define MOT2A_H	GPIO_SetBits(GPIOB, GPIO_Pin_8)
#define MOT2A_L	GPIO_ResetBits(GPIOB, GPIO_Pin_8)
#define MOT2B_H	GPIO_SetBits(GPIOB, GPIO_Pin_9)
#define MOT2B_L	GPIO_ResetBits(GPIOB, GPIO_Pin_9)

#define MODE_CW 	1	//]
#define MODE_CCW 	-1	//t]
#define MODE_BRAKE 0	//u[L
#define MODE_STOP 	2	//~

/* Extern ------------------------------------------------------------*/
extern vs8 	mot1_cw,mot2_cw;		//o̓[hI
extern vu8	mot1_duty,mot2_duty;	//PWMo Duty(x10%)
extern void DC_init();
extern void TIM2_DCmotor_pwm();
extern void DC_enable();
extern void DC_disable();

#endif /*CORON_DC_H_*/
